> ## Documentation Index
> Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get audit log entry

> > For the complete documentation index, see [llms.txt](https://launchdarkly-preview.mintlify.app/llms.txt). For the full documentation snapshot, see [llms-full.txt](https://launchdarkly-preview.mintlify.app/llms-full.txt).

Fetch a detailed audit log entry representation. The detailed representation includes several fields that are not present in the summary representation, including:

- `previousVersion`: a JSON representation of the previous version of the entity.
- `currentVersion`: a JSON representation of the current version of the entity.
- `delta`: the JSON patch body that was used in the request to update the entity. This is only included if the update was made through a [JSON patch](https://launchdarkly.com/docs/api#updates-using-json-patch). It is null when the update was made using [semantic patch](https://launchdarkly.com/docs/api#updates-using-semantic-patch). Because most [flag updates](https://launchdarkly.com/docs/api/feature-flags/patch-feature-flag) are made using semantic patch, this field is rarely returned.




## OpenAPI

````yaml /openapi/launchdarkly-api.json get /api/v2/auditlog/{id}
openapi: 3.0.3
info:
  title: LaunchDarkly REST API
  description: >
    > For the complete documentation index, see
    https://launchdarkly-preview.mintlify.app/llms.txt.

    > For the full documentation snapshot, see
    https://launchdarkly-preview.mintlify.app/llms-full.txt.


    This is the LaunchDarkly REST API. It lets you build custom integrations,
    automate your workflow, and manage feature flags and other LaunchDarkly
    resources programmatically.


    For authentication, rate limits, pagination, versioning, JSON Patch and
    semantic patches, beta resources, and the full SDK End-of-Life table, read
    the [REST API overview](https://launchdarkly-preview.mintlify.app/api).


    To fetch the complete OpenAPI spec, use [Get OpenAPI
    spec](https://launchdarkly.com/docs/api/other/get-openapi-spec).
  contact:
    name: LaunchDarkly Technical Support Team
    url: https://support.launchdarkly.com
    email: support@launchdarkly.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2.0'
servers:
  - url: https://app.launchdarkly.com
    description: ' Default'
  - url: https://app.launchdarkly.us
    description: ' Federal'
security:
  - ApiKey:
      - read
      - write
tags:
  - name: Access tokens
    description: >-
      The access tokens API allows you to list, create, modify, and delete
      access tokens programmatically.
  - name: Account members
    description: >-
      The account members API allows you to invite new members to an account by
      making a `POST` request to `/api/v2/members`. When you invite a new member
      to an account, an invitation is sent to the email you provided.
  - name: Account usage (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: AI Configs
    description: >-
      The AI Configs API allows you to create, retrieve, and edit AI Configs, AI
      Config variations, and AI model configurations.
  - name: Announcements
    description: >-
      The announcements API lets you create and update a custom announcement
      banner that appears in the LaunchDarkly user interface for everyone in
      your organization.
  - name: Applications (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Approvals
    description: >-
      An account member can request approval on changes to a flag or AI Config's
      targeting or variations, or to a segment's targeting. Members may be
      required to request approval depending on the settings in their
      LaunchDarkly project.
  - name: Approvals (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Audit log
    description: >-
      LaunchDarkly maintains a record of all the changes made to any resource in
      the system. You can access this history using the audit log API, including
      filtering by timestamps, or using a custom policy to select which entries
      to receive.
  - name: Code references
    description: >-
      > ### Code references is an Enterprise feature > > Code references is
      available to customers on an Enterprise plan. To learn more, [read about
      our pricing](https://launchdarkly.com/pricing/).
  - name: Context settings
    description: >-
      You can use the context settings API to assign a context to a specific
      variation for any feature flag. To learn more, read [View and manage
      contexts](https://launchdarkly.com/docs/home/observability/context-attributes#view-and-manage-contexts).
  - name: Contexts
    description: >-
      Contexts are people, services, machines, or other resources that encounter
      feature flags in your product. Contexts are identified by their `kind`,
      which describes the type of resources encountering flags, and by their
      `key`.
  - name: Custom roles
    description: >-
      > ### Custom roles is an Enterprise feature > > Custom roles is available
      to customers on an Enterprise plan. To learn more, [read about our
      pricing](https://launchdarkly.com/pricing/).
  - name: Data Export destinations
    description: >-
      > ### Data Export is an add-on feature > > Data Export is available as an
      add-on for customers on a Foundation or Enterprise plan. To learn more,
      [read about our pricing](https://launchdarkly.com/pricing/).
  - name: Environments
    description: >-
      Environments allow you to maintain separate rollout rules in different
      contexts, from local development to QA, staging, and production. With the
      LaunchDarkly Environments API, you can programmatically list, create, and
      manage environments.
  - name: Experiments
    description: >-
      > ### Available for subscription customers > > Experimentation is
      available to all customers on a Developer, Foundation, or Enterprise
      subscription. If you're on an older Pro or Enterprise plan,
      Experimentation is available as an add-on.
  - name: Feature flags
    description: >-
      The feature flags API allows you to list, create, and modify feature flags
      and their targeting. For example, you can control percentage rollouts,
      target specific contexts, or even toggle off a feature flag
      programmatically.
  - name: Feature flags (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Flag import configurations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Flag links (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Flag triggers
    description: >-
      > ### Flag triggers is an Enterprise feature > > Flag triggers is
      available to customers on an Enterprise plan. To learn more, [read about
      our pricing](https://launchdarkly.com/pricing/).
  - name: Follow flags
    description: >-
      Follow flags to receive email updates about targeting changes to a flag in
      a project and environment.
  - name: Holdouts (beta)
    description: >-
      > ### Available for customers using Experimentation > > Holdouts are
      available to customers using
      [Experimentation](https://launchdarkly.com/docs/api/experiments).
  - name: Insights charts (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights deployments (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights flag events (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights pull requests (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights repositories (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Insights scores (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Integration audit log subscriptions
    description: >-
      Audit log integration subscriptions allow you to send audit log events
      hooks to one of dozens of external tools. For example, you can send flag
      change event webhooks to external third party software.
  - name: Integration delivery configurations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Integrations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Layers
    description: >-
      > ### Available for customers using Experimentation > > Layers are
      available to customers using
      [Experimentation](https://launchdarkly.com/docs/api/experiments).
  - name: Metrics
    description: >-
      Metrics track flag behavior over time when an experiment is running. The
      data generated from experiments gives you more insight into the impact of
      a particular flag.
  - name: Metrics (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: OAuth2 Clients
    description: >-
      The OAuth2 client API allows you to register a LaunchDarkly OAuth client
      for use in your own custom integrations.
  - name: Persistent store integrations (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Projects
    description: >-
      Projects allow you to manage multiple different software projects under
      one LaunchDarkly account. Each project has its own unique set of
      environments and feature flags.
  - name: Relay Proxy configurations
    description: >-
      > ### Relay Proxy automatic configuration is an Enterprise feature > >
      Relay Proxy automatic configuration is available to customers on an
      Enterprise plan. To learn more, [read about our
      pricing](https://launchdarkly.com/pricing/).
  - name: Release pipelines (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Release policies (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Releases (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Scheduled changes
    description: >-
      > ### Scheduled flag changes is an Enterprise feature > > Scheduled flag
      changes is available to customers on an Enterprise plan. To learn more,
      [read about our pricing](https://launchdarkly.com/pricing/).
  - name: Segments
    description: >-
      > ### Synced segments and larger list-based segments are an Enterprise
      feature > > This section documents endpoints for rule-based, list-based,
      and synced segments.
  - name: Tags
    description: >-
      Tags are simple strings that you can attach to most resources in
      LaunchDarkly. Tags are useful for grouping resources into a set that you
      can name in a resource specifier.
  - name: Teams
    description: >-
      > ### Teams is an Enterprise feature > > Teams is available to customers
      on an Enterprise plan. To learn more, [read about our
      pricing](https://launchdarkly.com/pricing/).
  - name: Teams (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: User settings
    description: >-
      > ### Contexts are now available > > After you have upgraded your
      LaunchDarkly SDK to use contexts instead of users, you should use
      [Contexts](https://launchdarkly.com/docs/api/contexts) instead of the user
      settings API.
  - name: Users
    description: >-
      > ### Contexts are now available > > After you have upgraded your
      LaunchDarkly SDK to use contexts instead of users, you should use
      [Contexts](https://launchdarkly.com/docs/api/contexts) instead of these
      endpoints.
  - name: Users (beta)
    description: >-
      > ### Contexts are now available > > After you have upgraded your
      LaunchDarkly SDK to use contexts instead of users, you should use
      [Contexts](https://launchdarkly.com/docs/api/contexts) instead of these
      endpoints.
  - name: Views (beta)
    description: >-
      > ### This feature is in beta > > To use this feature, pass in a header
      including the `LD-API-Version` key with value set to `beta`. Use this
      header with each call.
  - name: Webhooks
    description: >-
      The webhooks API lets you build your own integrations that subscribe to
      activities in LaunchDarkly. When you generate an activity in LaunchDarkly,
      such as when you change a flag or you create a project, LaunchDarkly sends
      an HTTP POST payload to the...
  - name: Workflow templates
    description: >-
      > ### Workflows are in maintenance mode > > The workflows feature is in
      maintenance mode, and is planned for future deprecation at a date not yet
      specified.
  - name: Workflows
    description: >-
      > ### Workflows are in maintenance mode > > The workflows feature is in
      maintenance mode, and is planned for future deprecation at a date not yet
      specified.
  - name: Other
    description: Other requests available in the LaunchDarkly API.
paths:
  /api/v2/auditlog/{id}:
    get:
      tags:
        - Audit log
      summary: Get audit log entry
      description: >
        > For the complete documentation index, see
        [llms.txt](https://launchdarkly-preview.mintlify.app/llms.txt). For the
        full documentation snapshot, see
        [llms-full.txt](https://launchdarkly-preview.mintlify.app/llms-full.txt).


        Fetch a detailed audit log entry representation. The detailed
        representation includes several fields that are not present in the
        summary representation, including:


        - `previousVersion`: a JSON representation of the previous version of
        the entity.

        - `currentVersion`: a JSON representation of the current version of the
        entity.

        - `delta`: the JSON patch body that was used in the request to update
        the entity. This is only included if the update was made through a [JSON
        patch](https://launchdarkly.com/docs/api#updates-using-json-patch). It
        is null when the update was made using [semantic
        patch](https://launchdarkly.com/docs/api#updates-using-semantic-patch).
        Because most [flag
        updates](https://launchdarkly.com/docs/api/feature-flags/patch-feature-flag)
        are made using semantic patch, this field is rarely returned.
      operationId: getAuditLogEntry
      parameters:
        - name: id
          in: path
          description: The ID of the audit log entry
          required: true
          schema:
            type: string
            format: string
            description: The ID of the audit log entry
      responses:
        '200':
          description: Audit log entry response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuditLogEntryRep'
        '401':
          description: Invalid access token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorRep'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorRep'
        '404':
          description: Invalid resource identifier
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorRep'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedErrorRep'
components:
  schemas:
    AuditLogEntryRep:
      type: object
      required:
        - _links
        - _id
        - _accountId
        - date
        - accesses
        - kind
        - name
        - description
        - shortDescription
      properties:
        _links:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Link'
          description: The location and content type of related resources
        _id:
          type: string
          description: The ID of the audit log entry
          example: 1234a56b7c89d012345e678f
        _accountId:
          type: string
          description: The ID of the account to which this audit log entry belongs
          example: 1234a56b7c89d012345e678f
        date:
          $ref: '#/components/schemas/UnixMillis'
          description: Timestamp of the audit log entry
          example: '1654104600000'
        accesses:
          type: array
          description: >-
            Details on the actions performed and resources acted on in this
            audit log entry
          items:
            $ref: '#/components/schemas/ResourceAccess'
        kind:
          $ref: '#/components/schemas/ResourceKind'
          description: The type of resource this audit log entry refers to
          example: flag
        name:
          type: string
          description: The name of the resource this audit log entry refers to
          example: Example feature flag
        description:
          type: string
          description: Description of the change recorded in the audit log entry
          example: Example, turning on the flag for testing
        shortDescription:
          type: string
          description: Shorter version of the change recorded in the audit log entry
          example: Example, turning on the flag
        comment:
          type: string
          description: Optional comment for the audit log entry
          example: This is an automated test
        subject:
          $ref: '#/components/schemas/SubjectDataRep'
          description: >-
            Details of the subject who initiated the action described in the
            audit log entry
        member:
          $ref: '#/components/schemas/MemberDataRep'
          description: >-
            Details of the member who initiated the action described in the
            audit log entry
        token:
          $ref: '#/components/schemas/TokenSummary'
          description: >-
            Details of the access token that initiated the action described in
            the audit log entry
        app:
          $ref: '#/components/schemas/AuthorizedAppDataRep'
          description: >-
            Details of the authorized application that initiated the action
            described in the audit log entry
        titleVerb:
          type: string
          description: The action and resource recorded in this audit log entry
          example: turned on the flag
        title:
          type: string
          description: >-
            A description of what occurred, in the format <code>member</code>
            <code>titleVerb</code> <code>target</code>
        target:
          $ref: '#/components/schemas/TargetResourceRep'
          description: Details of the resource acted upon in this audit log entry
          example: >-
            [Ariel Flores](mailto:ariel@acme.com) turned on the flag
            [example-flag](https://app.launchdarkly.com/example-project/production/features/example-flag)
            in Production
        parent:
          $ref: '#/components/schemas/ParentResourceRep'
        delta:
          description: >-
            If the audit log entry has been updated, this is the JSON patch body
            that was used in the request to update the entity
        triggerBody:
          description: >-
            A JSON representation of the external trigger for this audit log
            entry, if any
        merge:
          description: >-
            A JSON representation of the merge information for this audit log
            entry, if any
        previousVersion:
          description: >-
            If the audit log entry has been updated, this is a JSON
            representation of the previous version of the entity
        currentVersion:
          description: >-
            If the audit log entry has been updated, this is a JSON
            representation of the current version of the entity
        subentries:
          type: array
          items:
            $ref: '#/components/schemas/AuditLogEntryListingRep'
    UnauthorizedErrorRep:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Specific error code encountered
          example: unauthorized
        message:
          type: string
          description: Description of the error
          example: Invalid access token
    ForbiddenErrorRep:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Specific error code encountered
          example: forbidden
        message:
          type: string
          description: Description of the error
          example: Forbidden. Access to the requested resource was denied.
    NotFoundErrorRep:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Specific error code encountered
          example: not_found
        message:
          type: string
          description: Description of the error
          example: Invalid resource identifier
    RateLimitedErrorRep:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Specific error code encountered
          example: rate_limited
        message:
          type: string
          description: Description of the error
          example: You've exceeded the API rate limit. Try again later.
    Link:
      type: object
      properties:
        href:
          type: string
        type:
          type: string
    UnixMillis:
      type: integer
      format: int64
    ResourceAccess:
      type: object
      properties:
        action:
          $ref: '#/components/schemas/ActionIdentifier'
        resource:
          type: string
    ResourceKind:
      type: string
    SubjectDataRep:
      type: object
      properties:
        _links:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Link'
        name:
          type: string
          description: The subject's name
        avatarUrl:
          type: string
          description: The subject's avatar
    MemberDataRep:
      type: object
      properties:
        _links:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Link'
        _id:
          type: string
          description: The member ID
          example: 507f1f77bcf86cd799439011
        email:
          type: string
          description: The member email
          example: ariel@acme.com
        firstName:
          type: string
          description: The member first name
          example: Ariel
        lastName:
          type: string
          description: The member last name
          example: Flores
    TokenSummary:
      type: object
      properties:
        _links:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Link'
        _id:
          type: string
        name:
          type: string
          description: The name of the token
          example: DevOps token
        ending:
          type: string
          description: The last few characters of the token
          example: '2345'
        serviceToken:
          type: boolean
          description: Whether this is a service token
          example: false
    AuthorizedAppDataRep:
      type: object
      properties:
        _links:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Link'
        _id:
          type: string
          description: The ID of the authorized application
        isScim:
          type: boolean
          description: Whether the application is authorized through SCIM
        name:
          type: string
          description: The authorized application name
        maintainerName:
          type: string
          description: The name of the maintainer for this authorized application
    TargetResourceRep:
      type: object
      properties:
        _links:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Link'
        name:
          type: string
          description: The name of the resource
          example: Example flag name
        resources:
          type: array
          description: The resource specifier
          items:
            type: string
          example:
            - proj/example-project:env/production:flag/example-flag
    ParentResourceRep:
      type: object
      properties:
        _links:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Link'
        name:
          type: string
          description: The name of the parent resource
        resource:
          type: string
          description: The parent's resource specifier
    AuditLogEntryListingRep:
      type: object
      required:
        - _links
        - _id
        - _accountId
        - date
        - accesses
        - kind
        - name
        - description
        - shortDescription
      properties:
        _links:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Link'
          description: The location and content type of related resources
        _id:
          type: string
          description: The ID of the audit log entry
          example: 1234a56b7c89d012345e678f
        _accountId:
          type: string
          description: The ID of the account to which this audit log entry belongs
          example: 1234a56b7c89d012345e678f
        date:
          $ref: '#/components/schemas/UnixMillis'
          description: Timestamp of the audit log entry
          example: '1654104600000'
        accesses:
          type: array
          description: >-
            Details on the actions performed and resources acted on in this
            audit log entry
          items:
            $ref: '#/components/schemas/ResourceAccess'
        kind:
          $ref: '#/components/schemas/ResourceKind'
          description: The type of resource this audit log entry refers to
          example: flag
        name:
          type: string
          description: The name of the resource this audit log entry refers to
          example: Example feature flag
        description:
          type: string
          description: Description of the change recorded in the audit log entry
          example: Example, turning on the flag for testing
        shortDescription:
          type: string
          description: Shorter version of the change recorded in the audit log entry
          example: Example, turning on the flag
        comment:
          type: string
          description: Optional comment for the audit log entry
          example: This is an automated test
        subject:
          $ref: '#/components/schemas/SubjectDataRep'
          description: >-
            Details of the subject who initiated the action described in the
            audit log entry
        member:
          $ref: '#/components/schemas/MemberDataRep'
          description: >-
            Details of the member who initiated the action described in the
            audit log entry
        token:
          $ref: '#/components/schemas/TokenSummary'
          description: >-
            Details of the access token that initiated the action described in
            the audit log entry
        app:
          $ref: '#/components/schemas/AuthorizedAppDataRep'
          description: >-
            Details of the authorized application that initiated the action
            described in the audit log entry
        titleVerb:
          type: string
          description: The action and resource recorded in this audit log entry
          example: turned on the flag
        title:
          type: string
          description: >-
            A description of what occurred, in the format <code>member</code>
            <code>titleVerb</code> <code>target</code>
        target:
          $ref: '#/components/schemas/TargetResourceRep'
          description: Details of the resource acted upon in this audit log entry
          example: >-
            [Ariel Flores](mailto:ariel@acme.com) turned on the flag
            [example-flag](https://app.launchdarkly.com/example-project/production/features/example-flag)
            in Production
        parent:
          $ref: '#/components/schemas/ParentResourceRep'
    ActionIdentifier:
      type: string
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: Authorization

````